Guias electronicas Peru - PSE/OSE Nubefact

by
Odoo

97.76

v 14.0 Third Party 40
Live Preview
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Inventory (stock)
Invoicing (account)
Discuss (mail)
Contacts (contacts)
Community Apps Dependencies
Lines of code 5968
Technical Name l10n_pe_edi_picking
LicenseOPL-1
Websitehhttp://www.operu.pe/facturacion-electronica
Versions 16.0 14.0 15.0 13.0
You bought this module and need support? Click here!
Availability
Odoo Online
Odoo.sh
On Premise
Odoo Apps Dependencies Inventory (stock)
Invoicing (account)
Discuss (mail)
Contacts (contacts)
Community Apps Dependencies
Lines of code 5968
Technical Name l10n_pe_edi_picking
LicenseOPL-1
Websitehhttp://www.operu.pe/facturacion-electronica
Versions 16.0 14.0 15.0 13.0

GUÍAS ELECTRÓNICAS - PSE/OSE Nubefact

Localización Peruana

Nubefact - Verificado por SUNAT
OPeru

CONEXIÓN DIRECTA CON PSE/OSE Nubefact

Envíe sus Guías electrónicas a SUNAT de manera rápida y segura con Odoo. El módulo interconecta Odoo con un proveedor PSE/OSE* para la validación de sus comprobantes en SUNAT.

Configuración

  1. 1- Elige el proveedor PSE/OSE. Ejm: Nubefact*.
  2. 2- Ingresa la URL generada en tu cuenta del proveedor PSE/OSE.
  3. 3- Ingresa el token generado en tu cuenta del proveedor PSE/OSE

Puede solicitar una cuenta gratuita de prueba en el siguiente link www.nubefact.com

CÓMO USARLO

Primero hay que configurar las Operaciones de Inventario que se considerarón como Guías electrónicas..

Tipos de operacion

ELige las operaciones que serán Guías electrónicas

Recuerde que solo debe configurar las operaciones de tipo 'Cliente' o de Salida

Configurar el Tipo de Operación

  • 1- Activar 'Es Guía electrónica'
  • 2- Seleccionar o crear una Secuencia (Serie válida para las Guías electrónicas)
  • 3- Seleccionar Tienda (Solo si está activada la opción Multi Tienda)

Convertir la Guia o Picking de salida en Guía electrónica

El botón solo funciona si el tipo de operación está activada como 'Es Guía electrónica'

Nubefact verificado por SUNAT

Verificado por SUNAT

Envío a través de un proveedor PSE/OSE autorizado por SUNAT.

Tarifas mas bajas

Tarifas Económicas

Disponible en los planes más económicos del mercado.

10% online

100% ONLINE

Envíe y consulte todos sus comprobantes en tiempo real.

Características!

  • Tipos de comprobantes electrónicos: Guías electrónicas.
  • Conexión directa a Proveedor PSE/OSE*.
  • No necesita comprar Certificado digital.
  • Envío automático de comprobantes cada 24 horas.
  • Seguimiento del estado de sus comprobantes.
  • Envío y verificación masiva de comprobantes.
  • Comprobantes prediseñados para sus comprobantes en formato A4.

¿Necesitas ayuda?

Operu brinda soporte gratuito por 45 días a partir de la fecha de compra si el cliente informa un problema a través de nuestro sistema de tickets de soporte y si Operu reconoce que el problema surge debido a nuestra aplicación Odoo. Tenga en cuenta que no está autorizado a distribuir este módulo después de la compra. En caso de requerir nuestro soporte copiar el siguiente link:


Soporte Apps Operu

Copia el link

https://www.operu.pe/r/soporte-modulos

Políticas de Soporte Apps Operu

Copia el link:

https://www.operu.pe/politicas-soporte-apps-operu

Desarrollado por OPerú

Expertos en Odoo

OPeru
Odoo Proprietary License v1.0

This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).

You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).

It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.

The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author or have a question related to your purchase, please use the support page.
ERROR AL ENVIAR GUIAS ELECTRONICAS A LA SUNAT
by
Jesús Ticona
on 10/18/22, 5:00 PM

Buenas tardes, si podrían ayudarme con un error que estamos presentando a la hora de enviar lo que son las guías electrónicas a la SUNAT, nos está notando, una alerta, la cual es la siguiente. Error: Odoo Server Error Traceback (most recent call last): File "/opt/odoo/odoo/odoo/addons/base/models/ ir_http.py",  line 237, in _dispatch result = request.dispatch() File "/opt/odoo/odoo/odoo/ http.py",  line 684, in dispatch result = self._call_function(**self.params) File "/opt/odoo/odoo/odoo/ http.py",  line 360, in _call_function return checked_call(self.db, *args, **kwargs) File "/opt/odoo/odoo/odoo/service/ model.py",  line 94, in wrapper return f(dbname, *args, **kwargs) File "/opt/odoo/odoo/odoo/ http.py",  line 348, in checked_call result = self.endpoint(*a, **kw) File "/opt/odoo/odoo/odoo/ http.py",  line 913, in __call__ return self.method(*args, **kw) File "/opt/odoo/odoo/odoo/ http.py",  line 532, in response_wrap response = f(*args, **kw) File "/opt/odoo/odoo/addons/web/controllers/ main.py",  line 1393, in call_button action = self._call_kw(model, method, args, kwargs) File "/opt/odoo/odoo/addons/web/controllers/ main.py",  line 1381, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/opt/odoo/odoo/odoo/ api.py",  line 396, in call_kw result = _call_kw_multi(method, model, args, kwargs) File "/opt/odoo/odoo/odoo/ api.py",  line 383, in _call_kw_multi result = method(recs, *args, **kwargs) File "/opt/odoo/odoo/addons/l10n_pe_edi_picking/models/ stock_picking.py",  line 330, in action_document_send vals = getattr(picking,'_get_picking_values_%s' % ose_supplier)() File "/opt/odoo/odoo/addons/l10n_pe_edi_picking/models/ stock_picking.py",  line 273, in _get_picking_values_odoofact 'observaciones': self.note or ' '.join(BeautifulSoup(self.note, "html.parser").stripped_strings) or '', File "/usr/lib/python3/dist-packages/bs4/ __init__.py",  line 287, in __init__ elif len(markup) Exception The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/opt/odoo/odoo/odoo/ http.py",  line 640, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/opt/odoo/odoo/odoo/ http.py",  line 316, in _handle_exception raise exception.with_traceback(None) from new_cause TypeError: object of type 'bool' has no len() El sistema está basado en Odoo Community, al adquirir el módulo nos dijeron que no habría conflictos, pero ya se presenta este, cabe resaltar que no podemos enviar guías electrónicas desde que adquirimos el módulo, dándonos cuenta recién ya que recién lo empezamos a ejecutar, el sistema no cuenta con más aplicaciones de terceros, solo las que pide el módulo como requisitos, las cuales son, Validador RUC, Facturación Electrónica y Catálogos SUNAT Agradecería su soporte, muchas gracias.


Correción al Bug
by
Elio Alexander Tito Geldres
on 10/21/22, 12:29 PM Confirmed Purchase

Nunca Recibí soporte pero encontré la solucion, es colocar "Ninguna" u otro texto en el campo "Notas"


ERROR AL ENVIAR GUIAS ELECTRONICAS A LA SUNAT
by
Jesús Ticona
on 10/13/22, 6:56 PM Confirmed Purchase

Buenas tardes, si podrían ayudarme con un error que estamos presentando a la hora de enviar lo que son las guías electrónicas a la SUNAT, nos está notando, una alerta, la cual es la siguiente.


Error:
Odoo Server Error

Traceback (most recent call last):
File "/opt/odoo/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/opt/odoo/odoo/odoo/http.py", line 684, in dispatch
result = self._call_function(**self.params)
File "/opt/odoo/odoo/odoo/http.py", line 360, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/opt/odoo/odoo/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/opt/odoo/odoo/odoo/http.py", line 348, in checked_call
result = self.endpoint(*a, **kw)
File "/opt/odoo/odoo/odoo/http.py", line 913, in __call__
return self.method(*args, **kw)
File "/opt/odoo/odoo/odoo/http.py", line 532, in response_wrap
response = f(*args, **kw)
File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1393, in call_button
action = self._call_kw(model, method, args, kwargs)
File "/opt/odoo/odoo/addons/web/controllers/main.py", line 1381, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/opt/odoo/odoo/odoo/api.py", line 396, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/opt/odoo/odoo/odoo/api.py", line 383, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/opt/odoo/odoo/addons/l10n_pe_edi_picking/models/stock_picking.py", line 330, in action_document_send
vals = getattr(picking,'_get_picking_values_%s' % ose_supplier)()
File "/opt/odoo/odoo/addons/l10n_pe_edi_picking/models/stock_picking.py", line 273, in _get_picking_values_odoofact
'observaciones': self.note or ' '.join(BeautifulSoup(self.note, "html.parser").stripped_strings) or '',
File "/usr/lib/python3/dist-packages/bs4/__init__.py", line 287, in __init__
elif len(markup) Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/opt/odoo/odoo/odoo/http.py", line 640, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/opt/odoo/odoo/odoo/http.py", line 316, in _handle_exception
raise exception.with_traceback(None) from new_cause
TypeError: object of type 'bool' has no len()


El sistema está basado en Odoo Community, al adquirir el módulo nos dijeron que no habría conflictos, pero ya se presenta este, cabe resaltar que no podemos enviar guías electrónicas desde que adquirimos el módulo, dándonos cuenta recién ya que recién lo empezamos a ejecutar, el sistema no cuenta con más aplicaciones de terceros, solo las que pide el módulo como requisitos, las cuales son, Validador RUC, Facturación Electrónica y Catálogos SUNAT

Agradecería su soporte, muchas gracias.


Modulo de Consulta RUC
by
In Out Xolutions SAC
on 7/1/21, 8:06 PM Confirmed Purchase

El sistema funciona bien pero tiene conflictos al momento de consulta RUC, si bien tien la opcion de elegir usar este servicio, seria ideal que no sea un requerimiento contar con este modulo ya que la consulta lo realiza por scraping, nosotros ya creamos un modulo de consulta via api que es mucho mejor, a la espera de sus comentario y es posible contar con esta mejora de su producto.

Gracias